{
ALTERAES:


}
unit uDM;

interface

uses
  SysUtils, Classes, DB, ADODB, SqlExpr, DBClient,
  Provider, Forms, Dialogs, uLog, xmldom, Xmlxform, XMLIntf, msxmldom,
  XMLDoc, XMLBrokr, SOAPHTTPTrans,  FMTBcd, IniFiles, WideStrings, DBXInterbase,
  IdMessage, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient,
  IdExplicitTLSClientServerBase, IdMessageClient, IdSMTPBase, IdSMTP,
  DBXFirebird;

type
  TDM = class(TDataModule)
    IdSMTP: TIdSMTP;
    IdMessage: TIdMessage;
    sqlCon: TSQLConnection;
    sqlEnvioMens: TSQLDataSet;
    sqlInsErro: TSQLDataSet;
    sqlEnvioMensSEQ_ENVIO_MENS: TIntegerField;
    sqlEnvioMensSEQ_EMAIL: TIntegerField;
    sqlEnvioMensDT_CRIACAO: TDateField;
    sqlEnvioMensASSUNTO: TStringField;
    sqlEnvioMensCORPO: TStringField;
    sqlEnvioMensNOME_REMETENTE: TStringField;
    sqlEnvioMensREMETENTE: TStringField;
    sqlEnvioMensCC: TStringField;
    sqlEnvioMensCCO: TStringField;
    sqlEnvioMensAVISO: TStringField;
    sqlEnvioMensHOST: TStringField;
    sqlEnvioMensLOGIN: TStringField;
    sqlEnvioMensSENHA: TStringField;
    sqlEnvioMensAUTENTICACAO: TStringField;
    dspEnvioMens: TDataSetProvider;
    cdsEnvioMens: TClientDataSet;
    cdsEnvioMensSEQ_ENVIO_MENS: TIntegerField;
    cdsEnvioMensSEQ_EMAIL: TIntegerField;
    cdsEnvioMensDT_CRIACAO: TDateField;
    cdsEnvioMensASSUNTO: TStringField;
    cdsEnvioMensCORPO: TStringField;
    cdsEnvioMensNOME_REMETENTE: TStringField;
    cdsEnvioMensREMETENTE: TStringField;
    cdsEnvioMensCC: TStringField;
    cdsEnvioMensCCO: TStringField;
    cdsEnvioMensAVISO: TStringField;
    cdsEnvioMensHOST: TStringField;
    cdsEnvioMensLOGIN: TStringField;
    cdsEnvioMensSENHA: TStringField;
    cdsEnvioMensAUTENTICACAO: TStringField;
    sqlEnvioMensIND_ERRO: TStringField;
    sqlEnvioMensDT_ENVIO: TDateField;
    cdsEnvioMensIND_ERRO: TStringField;
    cdsEnvioMensDT_ENVIO: TDateField;
    sqlEnvioMensDESTINATARIO: TStringField;
    cdsEnvioMensDESTINATARIO: TStringField;
    procedure conAtendBeforeConnect(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Class Procedure Executa;
  end;

var
  DM: TDM;
  oLog : TLog;

implementation

uses uExecuta;

{$R *.dfm}

{ TDM }

procedure TDM.conAtendBeforeConnect(Sender: TObject);
Var
  sArquivo : String;
begin
  sArquivo := ExtractFilePath(Application.ExeName) + 'CONEXAO.INI';
  If not FileExists(sArquivo) Then
  Begin
    Raise Exception.Create('Arquivo CONEXAO.INI No Existe!');
  End
  Else
  Begin
    sqlCon.Params.LoadFromFile(sArquivo);
  End;
end;

class procedure TDM.Executa;
Var
  oProcesso : TProcesso;
begin
  dm := TDM.Create(Application);
  Try
    oProcesso := TProcesso.Create;
  except
    on E : Exception Do
    Begin
      If Pos('.FDB',UpperCase(e.Message)) > 0 Then
        oLog.Erro('Falha ao conectar a base de dados. ' + e.Message)
      Else
        oLog.Erro(e.Message);
      //
      FreeAndNil(oProcesso);
    End;
  End;
  FreeAndNil(oProcesso);
  oProcesso := Nil;
  FreeAndNil(dm);
end;

end.

