unit FMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ImgList, uSenha;

type
  TForm1 = class(TForm)
    lblSenha: TLabel;
    imgList: TImageList;
    blhSenha: TBalloonHint;
    edtSenha: TButtonedEdit;
    lblOBS: TLabel;
    btnValidar: TButton;
    procedure lblOBSClick(Sender: TObject);
    procedure btnValidarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnValidarClick(Sender: TObject);
var
  vSenha : TSenha;
begin
  vSenha := TSenha.Create;
  try
    if not (vSenha.ValidaSenha(edtSenha.Text) = 'Senha vlida') then begin
      MessageBox(0, PChar('No foi possvel validar a senha.'#13#10#13#10+
      'Motivo: '+ vSenha.ValidaSenha(edtSenha.Text)), '.: Senha :.', MB_ICONSTOP or MB_OK);
    end
    else begin
      MessageBox(0, 'Senha vlida.', '.: Senha :.', MB_ICONINFORMATION or MB_OK);
    end;
  finally
    vSenha.Free;
  end;
end;

procedure TForm1.lblOBSClick(Sender: TObject);
begin
  MessageBox(0, 'Para gerar uma senha vlida, a mesma deve ter no mnimo 6 '+
  'caracteres, sendo obrigatrio a presena de no mnimo uma letra maiscula, '+
  'uma letra minscula, um numeral e um caracter especial.', '.: Senha :.',
  MB_ICONWARNING or MB_OK);
end;

end.
