unit UMensagem;

interface

type
  TTipoMensagem = (tmAviso, tmErro, tmInfo);

  TMensagem = class
  strict private
    FTexto: string;
    procedure SetTexto(const value: string);
    { private declarations }
  protected
    { protected declarations }
  public
    { public declarations }
    procedure Mostrar(TipoMensagem: TTipoMensagem);
  published
    { published declarations }
    property Texto: string read FTexto write SetTexto;
  end;

implementation

uses
  Dialogs;

{ TMensagem }

procedure TMensagem.Mostrar(TipoMensagem: TTipoMensagem);
begin
  //dar uses em Dialogs
  case TipoMensagem of
    tmAviso: ShowMessage('Mensagem de aviso: ' + FTexto);
    tmErro: ShowMessage('Mensagem de erro: ' + FTexto);
    tmInfo: ShowMessage('Informao: ' + FTexto);
  else
    ShowMessage(FTexto);
  end;
end;

procedure TMensagem.SetTexto(const value: string);
begin
  FTexto := value;
end;

end.



